Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.ui
Class Select

    java.lang.Object
      com.tonbeller.wcf.ui.XoplonCtrl
          com.tonbeller.wcf.ui.TypedCtrl
              com.tonbeller.wcf.ui.Select

All Implemented Interfaces:
  BasicTypes

Direct Known Subclasses:
  SelectMultiple, SelectSingle

public class Select
extends TypedCtrl

A Select (ListBox, RadioButtons, etc) may have a type and modelReference. If both are present, the modelReference will be updated to contain the value of the selected items.

Author:
  av

Field Summary

Fields inherited from interface com.tonbeller.wcf.format.BasicTypes
`BOOLEAN_TYPE, DATE_TYPE, DOUBLE_TYPE, EMAIL_TYPE, INT_TYPE, POSINT_TYPE, REQSTR_TYPE, STRING_TYPE`

Constructor Summary
`Select()`

Method Summary
`static void` | `addItem(org.w3c.dom.Element element, org.w3c.dom.Element li)` add list item
`static java.util.List` | `getItems(org.w3c.dom.Element element)` return the items
`static void` | `getIValue(org.w3c.dom.Element element)` returns the selected items separated by ';'.
`static void` | `removeAllItems(org.w3c.dom.Element element)`
`static void` | `removeItem(org.w3c.dom.Element element, org.w3c.dom.Element li)` remove list item
`static void` | `removeSelection(org.w3c.dom.Element element, org.w3c.dom.Element item)` removes item from the selection
`static void` | `setIValue(org.w3c.dom.Element element)` sets the ivalue attribute for WAP browsers.
`static void` | `setSelectedItems(org.w3c.dom.Element element, java.util.List items)` sets selection.
`static void` | `setSelection(org.w3c.dom.Element element, org.w3c.dom.Element item)` sets selection.

Methods inherited from class com.tonbeller.wcf.ui.TypedCtrl
`getFormatString, getType, setFormatString, setType`

Methods inherited from class com.tonbeller.wcf.ui.XoplonCtrl
`createCtrl, getId, getLabel, getModelReference, isDisabled, isHidden, setDisabled, setHidden, setId, setLabel, setModelReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Select

    public Select()

Method Detail

### removeAllItems

    public static void removeAllItems(org.w3c.dom.Element element)

### setSelection

    public static void setSelection(org.w3c.dom.Element element,
                                    org.w3c.dom.Element item)

  sets selection.

### setSelectedItems

    public static void setSelectedItems(org.w3c.dom.Element element,
                                        java.util.List items)

  sets selection.

  Parameters:
    `items` - a list of Elements which must be children of element

### removeSelection

    public static void removeSelection(org.w3c.dom.Element element,
                                       org.w3c.dom.Element item)

  removes item from the selection

  Parameters:
    `item` - the item to remove from selection

### addItem

    public static void addItem(org.w3c.dom.Element element,
                               org.w3c.dom.Element li)

  add list item

### removeItem

    public static void removeItem(org.w3c.dom.Element element,
                                  org.w3c.dom.Element li)

  remove list item

### getItems

    public static java.util.List getItems(org.w3c.dom.Element element)

  return the items

### getIValue

    public static void getIValue(org.w3c.dom.Element element)

  returns the selected items separated by ';'. Counting starts at 1. This is suitable for the WAP <select> elements iname/ivalue attribute.

### setIValue

    public static void setIValue(org.w3c.dom.Element element)

  sets the ivalue attribute for WAP browsers.

  See Also:
    `getIValue(org.w3c.dom.Element)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD